
ctools - Action #3911

Add comskycnv script

11/28/2021 03:45 PM - Knödlseder Jürgen

Status: Closed Start date: 11/28/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

Add comskycnv script that convolves a sky model with the COMPTEL response function to produce one or several DRM datasets.

The script should generate DRM files and also automatically replace the sky model components by corresponding GCOMModelDRM

components. The script should also take the name of the sky model components that should be convolved on input. One or several

sky model components should be convolved in a run. The script should also provide the possibility to combine all selected sky model

components into a single component.

History

#1 - 03/15/2022 12:52 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)

#2 - 01/13/2023 08:15 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 2.1.0

- % Done changed from 0 to 100

I added instead a comobsconv script that convolves models with free spatial paameters and stores the corresponding response cache. In that way,

cached values can be written and read from disk.
